Name:           keycloak-httpd-client-install
Version:        0.8
Release:        9
Summary:        Provides tools to configure Apache HTTPD as Keycloak client
License:        GPLv3
URL:            https://github.com/jdennis/keycloak-httpd-client-install
Source0:        https://github.com/jdennis/keycloak-httpd-client-install/releases/download/RELEASE_0_8/keycloak-httpd-client-install-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Keycloak is a federated Identity Provider (IdP) that supports a
variety of authentication protocols. Apache HTTPD supports a variety
of authentication modules which have the capability of connecting to
a Keycloak IdP instance to perform authentication.

%package -n python3-keycloak-httpd-client-install
Summary:        Provides tools to configure Apache HTTPD as Keycloak client
Requires:       keycloak-httpd-client-install = %{version}-%{release}
Requires:       python3-requests python3-requests-oauthlib python3-jinja2

%description -n python3-keycloak-httpd-client-install
Keycloak is a federated Identity Provider (IdP) that supports a
variety of authentication protocols. Apache HTTPD supports a variety
of authentication modules which have the capability of connecting to
a Keycloak IdP instance to perform authentication.

%package help
Summary:        Provides help and man docs for keycloak-httpd-client-install

%description help
This package provides help and man docs for python2-keycloak-httpd-client-install
and python3-keycloak-httpd-client-install.

%prep
%autosetup -n keycloak-httpd-client-install-%{version} -p1

%build
%py3_build

%install
%py3_install

mkdir -p -m 755 %{buildroot}/%{_mandir}/man8
cp doc/keycloak-httpd-client-install.8 %{buildroot}/%{_mandir}/man8
chmod 644 %{buildroot}/%{_mandir}/man8/keycloak-httpd-client-install.8

%files
%license LICENSE.txt
%{_datadir}/keycloak-httpd-client-install/


%files -n python3-keycloak-httpd-client-install
%{python3_sitelib}/*
%{_bindir}/keycloak-httpd-client-install

%files help
%{_mandir}/man8/*
%doc README.md doc/ChangeLog

%changelog
* Fri Sep 11 2020 zhangjiapeng <zhangjiapeng9@huawei.com> - 0.8-9
- Remove python2-keycloak-httpd-client-install subpackage

* Wed Apr 15 2020 sunguoshuai <sunguoshuai@huawei.com> - 0.8-8
- Package init
